/*
(주)파이브센스_FIVESENSES.Corp.
파이브프로_FIVEPro_웹솔루션.
본 라이브러리(소스코드 및 디자인 포함)는 (주)파이브센스의 자산이며, 저작권법 및 부정경쟁방지법에 의해 보호됩니다.
무단 사용, 외부 유출, 복제, 배포, 변형을 금지합니다.
위반 시 민·형사상 법적 책임 및 손해배상 청구 대상이 됩니다.
작성일: 2025-03-18 | 저작권자: (주)파이브센스(520-86-01244) | All Rights Reserved.
*/

.main_mmb2 {
    display: flex;
    flex-direction: column;
}

.main_mmb2 .main_cont_container {
    position: relative;
    flex: 1;
    overflow: hidden;
}

/* 스와이퍼 */
.main_mmb2 .swiper {
    /* widget-wrap before보다 위로 올라오게 결정 */
    z-index: 2;
    height: 100%;
}

.main_mmb2 .swiper-wrapper {
    height: 100%;
}

.main_mmb2 .swiper-slide {
    position: relative;
    z-index: 1;
}

.main_mmb2 .swiper-slide.swiper-slide-active {
    /* 슬라이드 fade 중첩 효과 이슈로 active 순서 필요 */
    z-index: 2;
}

/* 스와이퍼 이미지 */
.main_mmb2 .img_container {
    width: 100%;
    height: 100%;
    overflow: hidden;
    position: relative;
}

.main_mmb2 .img_container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* 스와이퍼 동영상 */
.main_mmb2 .iframe_container {
    height: 100%;
    overflow: hidden;
    position: relative;
}

.main_mmb2 .iframe_container .iframe_container_inner {
    width: 100%;
    height: 100%;
    padding-bottom: 56.25%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.main_mmb2 .iframe_container iframe {
    position: absolute;
    left: 0;
    top: -60px;
    width: 100%;
    height: calc(100% + 120px);
    object-fit: cover;
}

/* 스와이퍼 동영상 요소이미지 */
.main_mmb2 .iframe_container .itemSubVideoImg {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.main_mmb2 .iframe_overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: transparent;
    z-index: 1;
    cursor: grab; /* 스와이퍼 UI 힌트를 제공 */
}

/* 스와이퍼 정보 */
.main_mmb2 .swiper_info_container {
    position: absolute;
    bottom: 150px;
    left: 50%;
    z-index: 2;
    transform: translateX(-50%);
    padding: 0 20px;
    text-align: center;
}

/* 스와이퍼 요소이미지 */
.main_mmb2 .swiper_info_container .itemSubImg {
    width: auto;
    margin: 0 auto 30px 0;
}

/* 스와이퍼 타이틀 */
.main_mmb2 .swiper_title {
    margin-bottom: 2px;
}

.main_mmb2 .swiper_title h2 {
    font-size: 17px;
    font-weight: 700;
    color: #fff;
    display: inline-block;
    width: auto;
    line-height: 50px;
    font-family: "Montserrat", sans-serif;
}

/* 스와이퍼 서브타이틀 */
.main_mmb2 .swiper_subtitle h3 {
    font-size: 14px;
    font-weight: 400;
    color: #fff;
    display: inline-block;
    width: auto;
    line-height: 23px;
}

.main_mmb2 .swiper_more span {
    margin-left: 10px;
}

/* 스와이퍼 페이지네이션 정보 */
.main_mmb2 .swiper_pagi_container {
    position: absolute;
    z-index: 2;
}

.main_mmb2 .swiper-pagination {
    position: static;
}

.main_mmb2 .swiper-pagination-bullet {
    width: 11px;
    height: 11px;
    background: #fff;
    opacity: 0.4;
    margin: 0 9px !important;
}

.main_mmb2 .swiper-pagination-bullet-active {
    opacity: 1;
}

/* 스와이퍼 재생버튼 */
.main_mmb2 .swiper_btn_container {
    margin-top: 28px;
}

.main_mmb2 .swiper_btn {
    width: 71px;
    height: 71px;
    position: absolute;
    left:50%;
    transform: translateX(-50%);
}

.main_mmb2 .swiper_btn button {
    width: 100%;
    height: 100%;
    font-size: 22px;
    color: #fff;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
	border:none;
	background:transparent;
}

.main_mmb2 .swiper_btn button.pause {
	font-size:15px;
	transform:translate(-50%,-50%) rotate(-28deg);
}

.main_mmb2 .swiper_btn button.play {
    display: none;
}